Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-26538

Less-trusted workflow-cps-global-lib

    XMLWordPrintable

Details

    Description

      Currently in order to push to workflow-cps-global-lib you need to have Jenkins.RUN_SCRIPTS. It would be useful to be able to let users with lesser permissions push here, so long as the result is only loaded inside scripts run inside the sandbox anyway.

      Attachments

        Issue Links

          Activity

            philmcardlecg Phil McArdle added a comment -

            I would be curious as to what 'lesser permissions' would be here. I would be concerned about having every Jenkins user in my instance have access to edit scripts in cps-global-lib.

            (Also, this appears to be the only place that the permission required for this is documented.)

            philmcardlecg Phil McArdle added a comment - I would be curious as to what 'lesser permissions' would be here. I would be concerned about having every Jenkins user in my instance have access to edit scripts in cps-global-lib. (Also, this appears to be the only place that the permission required for this is documented.)
            jglick Jesse Glick added a comment -

            Possibly superseded by JENKINS-31155.

            jglick Jesse Glick added a comment - Possibly superseded by JENKINS-31155 .
            jglick Jesse Glick added a comment -

            Will not fix given JENKINS-31155.

            jglick Jesse Glick added a comment - Will not fix given JENKINS-31155 .

            People

              Unassigned Unassigned
              jglick Jesse Glick
              Votes:
              1 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: